#include "wc3_game_state.h"
#include "Extern_global_Variable.h"

PObserver TGameState::GetVarChangeEventPublisher(PChar VariableName)
{
	PObserver Result;
	PGameVarEventReg Item;

	Result = NULL;

	if (GameVarChangeEventPublishers.Find(VariableName, Item))
	{
		Result = Item->Observer;
	}
	return Result;
}
